Inbound
Get an inbound message
GET
Requires the inbound:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
id*stringapplication/json- response
id*stringstatus*stringcontactId*string|nullinboundAddressId*string|nullfromAddress*stringtoAddress*stringoriginalRecipient*string|nullsubject*string|nullmessageId*string|nullinReplyTo*string|nullreferences*array<string>inReplyToDeliveryId*string|nullinReplyToInboundMessageId*string|nullthreadRootId?stringthreadRootType?stringValue in
"delivery""inbound"spamVerdict*string|nullvirusVerdict*string|nulldmarcVerdict*string|nullisAutoReply*booleanreceivedAt*stringFormat
date-timeparsedAt*|Format
date-timestorageExpiresAt?stringFormat
date-timebodyText?string|nullbodyHtml?string|nullbodyTextStripped?string|nullbodyHtmlStripped?string|nullattachments?array<>curl -X GET 'https://api.mailcrate.io/public/inbound-messages/string' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "id": "string", "status": "string", "contactId": "string", "inboundAddressId": "string", "fromAddress": "string", "toAddress": "string", "originalRecipient": "string", "subject": "string", "messageId": "string", "inReplyTo": "string", "references": [ "string" ], "inReplyToDeliveryId": "string", "inReplyToInboundMessageId": "string", "threadRootId": "string", "threadRootType": "delivery", "spamVerdict": "string", "virusVerdict": "string", "dmarcVerdict": "string", "isAutoReply": true, "receivedAt": "2019-08-24T14:15:22Z", "parsedAt": "2019-08-24T14:15:22Z", "storageExpiresAt": "2019-08-24T14:15:22Z", "bodyText": "string", "bodyHtml": "string", "bodyTextStripped": "string", "bodyHtmlStripped": "string", "attachments": [ { "id": "string", "filename": "string", "contentType": "string", "size": 0 } ]}